package de.afb.test;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.util.Date;
import javax.naming.InitialContext;
import javax.sql.DataSource;

/**
 *
 * @author MMR
 */
public class DB {
    public static void test(boolean doError) {
	ResultSet res;
	int id = 1;
	if (doError) {
	    id = 2;
	}
	try {
	    System.out.println("####################################################################################################################");
	    System.out.println("EXECUTE insert into TABLE1 values (?,?)");
	    Connection conn = ((DataSource) new InitialContext().lookup("jdbc/testDB")).getConnection();
	    PreparedStatement pstmt = conn.prepareStatement("insert into APP.TABLE1 values (?,?)");
	    pstmt.setInt(1, id);
	    pstmt.setString(2, "" + new Date());
	    pstmt.executeUpdate();

	    System.out.println("EXECUTE select * from TABLE1");
	    pstmt = conn.prepareStatement("select * from TABLE1");
	    res = pstmt.executeQuery();
	    while (res.next()) {
		System.out.println("ID=" + res.getString(1));
	    }
	    res.close();
	    pstmt.close();
	    conn.close();
	    System.out.println("conn.close()");
	    System.out.println("####################################################################################################################");

	} catch (Exception ex) {
	    ex.printStackTrace(System.err);
	    throw new RuntimeException(ex);
	}

	if (doError) {
	    System.out.println("####################################################################################################################");
	    System.out.println("throw new NullPointerException()");
	    System.out.println("####################################################################################################################");
	    throw new NullPointerException();
	}
    }
}
